## triangle 0.2

=== DESCRIPTION ===
Package: triangle
Type: Package
Title: Provides the standard distribution functions for the triangle distribution
Version: 0.2
Date: 2006-06-11
Author: Rob Carnell
Maintainer: Rob Carnell <carnellr@battelle.org> 
Depends: R (>= 2.0.1)
Description: Provides the "r, q, p, and d" distribution functions for the triangle distribution
License: GPL (version 2.0 or later)
Packaged: Sun Jun 18 16:32:33 2006; CARNELLR

## triangle 0.3

=== DESCRIPTION ===
Package: triangle
Type: Package
Title: Provides the standard distribution functions for the triangle distribution
Version: 0.3
Date: 2006-06-11
Author: Rob Carnell
Maintainer: Rob Carnell <carnellr@battelle.org> 
Depends: R (>= 2.0.1)
Description: Provides the "r, q, p, and d" distribution functions for the triangle distribution
License: GPL (version 2.0 or later)
Packaged: Fri Oct 20 10:05:25 2006; CARNELLR

## triangle 0.5

=== DESCRIPTION ===
Package: triangle
Type: Package
Title: Provides the standard distribution functions for the triangle
        distribution
Version: 0.5
Date: 2009-01-25
Author: Rob Carnell
Maintainer: Rob Carnell <carnellr@battelle.org>
Depends: R (>= 2.0.1)
Description: Provides the "r, q, p, and d" distribution functions for
        the triangle distribution
License: GPL (>= 2)
Packaged: 2012-10-29 08:59:55 UTC; ripley
Repository: CRAN
Date/Publication: 2012-10-29 08:59:55

## triangle 0.8

=== DESCRIPTION ===
Package: triangle
Type: Package
Title: Provides the standard distribution functions for the triangle
        distribution
Version: 0.8
Date: 2013-02-21
Author: Rob Carnell
Maintainer: Rob Carnell <carnellr@battelle.org>
Depends: R (>= 2.14.1)
Description: Provides the "r, q, p, and d" distribution functions for
        the triangle distribution
License: GPL (>= 2)
Repository: CRAN
Repository/R-Forge/Project: triangledist
Repository/R-Forge/Revision: 4
Repository/R-Forge/DateTimeStamp: 2013-02-21 19:35:32
Date/Publication: 2013-02-22 08:23:41
Packaged: 2013-02-21 23:15:23 UTC; rforge
NeedsCompilation: no

## triangle 0.10

=== DESCRIPTION ===
Package: triangle
Type: Package
Title: Provides the Standard Distribution Functions for the Triangle
        Distribution
Version: 0.10
Date: 2016-01-20
Author: Rob Carnell
Maintainer: Rob Carnell <bertcarnell@gmail.com>
Depends: R (>= 2.14.1)
Description: Provides the "r, q, p, and d" distribution functions for the triangle distribution.
License: GPL (>= 2)
NeedsCompilation: no
Packaged: 2016-01-21 04:25:09 UTC; Rob
Repository: CRAN
Date/Publication: 2016-01-21 08:26:50

## triangle 0.11

=== DESCRIPTION ===
Package: triangle
Type: Package
Title: Provides the Standard Distribution Functions for the Triangle
        Distribution
Version: 0.11
Date: 2017-10-01
Author: Rob Carnell
Maintainer: Rob Carnell <bertcarnell@gmail.com>
Depends: R (>= 2.14.1)
Description: Provides the "r, q, p, and d" distribution functions for the triangle distribution.
License: GPL (>= 2)
Repository: CRAN
Repository/R-Forge/Project: triangledist
Repository/R-Forge/Revision: 11
Repository/R-Forge/DateTimeStamp: 2017-10-01 17:27:23
Date/Publication: 2017-10-02 07:09:55 UTC
NeedsCompilation: no
Packaged: 2017-10-01 17:45:08 UTC; rforge

## triangle 0.12

=== DESCRIPTION ===
Package: triangle
Title: Provides the Standard Distribution Functions for the Triangle
        Distribution
Version: 0.12
Authors@R: 
    person(given = "Rob",
           family = "Carnell",
           role = c("aut", "cre"),
           email = "bertcarnell@gmail.com")
Description: Provides the "r, q, p, and d" distribution functions for the triangle distribution.
License: GPL (>= 2)
URL: https://bertcarnell.github.io/triangle/
BugReports: https://github.com/bertcarnell/triangle/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Depends: R (>= 2.14.1)
Collate: 'dtriangle.R' 'ltriangle.r' 'ptriangle.r' 'qtriangle.R'
        'rtriangle.r'
Suggests: testthat, knitr, rmarkdown, covr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-02-14 22:56:48 UTC; bertc
Author: Rob Carnell [aut, cre]
Maintainer: Rob Carnell <bertcarnell@gmail.com>
Repository: CRAN
Date/Publication: 2019-02-14 23:22:15 UTC

## triangle 1.0

=== DESCRIPTION ===
Package: triangle
Title: Distribution Functions and Parameter Estimates for the Triangle
        Distribution
Version: 1.0
Authors@R: 
    person(given = "Rob",
           family = "Carnell",
           role = c("aut", "cre"),
           email = "bertcarnell@gmail.com")
Description: Provides the "r, q, p, and d" distribution functions for the triangle distribution.  Also includes maximum likelihood estimation of parameters.
License: GPL (>= 2)
URL: https://bertcarnell.github.io/triangle/
BugReports: https://github.com/bertcarnell/triangle/issues
Encoding: UTF-8
RoxygenNote: 7.2.2
Depends: R (>= 2.14.1)
Collate: 'cdfe.R' 'dtriangle.R' 'fit-plots.R' 'ltriangle.r'
        'mle-utils.R' 'mle.R' 'mom.R' 'ptriangle.r' 'qtriangle.R'
        'rtriangle.r'
Imports: assertthat, stats4, methods
Suggests: testthat, knitr, rmarkdown, MASS
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2022-12-13 02:49:53 UTC; bertc
Author: Rob Carnell [aut, cre]
Maintainer: Rob Carnell <bertcarnell@gmail.com>
Repository: CRAN
Date/Publication: 2022-12-13 03:50:02 UTC

## triangle 1.6

=== debian/changelog ===
triangle (1.6-7) unstable; urgency=medium

  * Standards version bumped to 4.7.2, no changes.
  * debian/patches:
    - New 0007-Gcc-15-compat.patch (Closes: #1114416).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Sep 2025 09:51:02 +0000

triangle (1.6-6) unstable; urgency=medium

  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 Feb 2024 07:50:46 +0000

triangle (1.6-5) unstable; urgency=medium

  * Standards version bumped to 4.6.2, no changes.
  * Fix d/copyright formatting.
  * debian/control:
    - Move the common package description to source.
    - Switch to debhelper-compat 13.
  * Update dates in d/coyright.
  * New d/clean file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 16:33:06 +0000

triangle (1.6-4) unstable; urgency=medium

  * Move from experimental to unstable (Closes: #999117).
    The bug is actually closed by the switch to dh sequences
    in version 1.6-4~exp1.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 23 Dec 2021 20:36:20 +0000

triangle (1.6-4~exp1) experimental; urgency=medium

  [ Andreas Tille ]
  * Fix copyright information
  * cme fix dpkg-control
  * Team maintenance in Debian Science team
  * source/format 3.0 (quilt)
  * Add some patches obtained from Github

  [ Antonio Valentino ]
  * New maintainer (Closes: #989262).
  * Apply cme fixes.
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for libtriangle-1.6, libtriangle-dev,
    triangle-bin.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add missing debian/rules targets build-indep, build-arch.
  * Remove Section on triangle-bin that duplicates source.
  * debian/patches:
    - disable cmake.patch
    - refresh and renumber all active patches
    - update, rename and enable github_libigl_triangle.patch
    - new 0006-Use-CFLAGS.patch.
  * Update copyright file.
  * debian/control:
    - set Rules-Requires-Root: no
    - set XS-Autobuild: yes.
  * debian/rules:
    - update d/rules to be compatible with source/format 3.0 (quilt)
    - switch to dh debhelper command sequencer
    - use proper build/link flags
    - improve clean rule.
  * Add man pages.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 19 Dec 2021 19:12:50 +0000

triangle (1.6-3) unstable; urgency=medium

  * QA upload.
  * Orphaning the package, see #989262.
  * Fix format of the previous maintainer name and address.  Closes: #988706

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 May 2021 19:26:34 +0200

triangle (1.6-2) unstable; urgency=low

  * Fixed undefined VOID in triangle.h (closes: #494716).
  * Moved API structs, #defines, enums, prototypes etc. from triangle.c to
    triangle.h (closes: #494717).
  * Manage patches using quilt.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Tue, 12 Aug 2008 12:46:39 -0400

triangle (1.6-1) unstable; urgency=low

  * First package (closes: #490100).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Tue, 15 Jul 2008 18:18:03 -0400

=== debian/control ===
Source: triangle
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               quilt,
               libx11-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/triangle
Vcs-Git: https://salsa.debian.org/science-team/triangle.git
Homepage: https://www.cs.cmu.edu/~quake/triangle.html
Description: High-quality 2-D mesh generator
 Triangle is a library/program for meshing 2-D surfaces and manifolds.

Package: libtriangle-1.6
Architecture: any
Section: non-free/libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} -- shared libraries
 ${source:Extended-Description}
 .
 This package contains its shared library.

Package: libtriangle-dev
Architecture: any
Section: non-free/libdevel
Depends: libtriangle-1.6 (= ${binary:Version}),
         libc6-dev,
         ${misc:Depends}
Description: ${source:Synopsis} -- development files
 ${source:Extended-Description}
 .
 This package contains its static library, headers, and shared library symbolic
 link, which are needed to compile programs using the triangle library.

Package: triangle-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} -- binary programs
 ${source:Extended-Description}
 .
 This package contains the binary programs triangle, tricall and showme.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1


export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	make tricall
	make triangle
	make showme
	$(AR) cr libtriangle.a triangle.o
	rm -f triangle.o
	$(CC) $(CPPFLAGS) $(CFLAGS) -O -DLINUX -DTRILIBRARY -fPIC -DPIC -c -o triangle.o triangle.c
	$(CC) $(LDFLAGS) -shared triangle.o -o libtriangle-1.6.so $(LOADLIBES) $(LDLIBS) -lm -Wl,-soname,libtriangle-1.6.so
	ln -s libtriangle-1.6.so libtriangle.so
